¿Cómo puedo usar los pods de cocoa para instalar la postría de google cloud sin firebase?

Tengo una iOS application existente que utiliza una versión anterior de postría de Google en la nube antes de que se actualizara a Firebase. Estoy intentando instalar la postría de Google en la nube de nuevo sin la actualización de la base de fuego con cocoa pods , he intentado

 pod 'GoogleCloudMessaging', '~> 1.2' 

y luego importó #import "GoogleCloudMessaging.h" pero esto no reconoce los viejos methods utilizados.

y he intentado pod 'Google/CloudMessaging' , '~> 1.2' pero esto ni siquiera se instalará.

Cualquier ayuda sería genial ya que ya desperdició varias horas en esto